Bug 53163 - khelpcenter doesn't display man pages specific to locale
Summary: khelpcenter doesn't display man pages specific to locale
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 19:33 UTC by Ben Levenson
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 16:01:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-09-04 19:33:10 UTC
(bug? RFE:?)

Description of Problem:
khelpcenter will not display the man pages in any language but english.
I've tried several of the tier 1 languages.
Here is a summary of my current configuration:
[root@test122 root]# cat /etc/sysconfig/i18n
LANG="de_DE"
SUPPORTED="en_US:en:fr_FR@euro:fr_FR:fr:de_DE@euro:de_DE:de:\
it_IT@euro:it_IT:it:ja_JP.eucJP:ja_JP:ja:pt_BR:pt:es_ES@euro:es_ES:es"
SYSFONT="lat0-sun16"
SYSFONTACM="iso01"

[root@test122 root]# locale
LANG=de_DE
LC_CTYPE="de_DE"
LC_NUMERIC="de_DE"
LC_TIME="de_DE"
LC_COLLATE="de_DE"
LC_MONETARY="de_DE"
LC_MESSAGES="de_DE"
LC_PAPER="de_DE"
LC_NAME="de_DE"
LC_ADDRESS="de_DE"
LC_TELEPHONE="de_DE"
LC_MEASUREMENT="de_DE"
LC_IDENTIFICATION="de_DE"
LC_ALL=

[root@test122 root]# manpath
/usr/share/man/de_DE:/usr/share/man/de:/usr/share/man:/usr/X11R6/man

[root@test122 root]# grep -i language .kde/share/config/kdeglobals
Language=de

Version-Release number of selected component (if applicable):
kdebase-2.2-9
kde-i18n-German-2.2-8
man-1.5i2-5
man-pages-de-0.3-4

Comment 1 Ngo Than 2001-10-16 23:13:51 UTC
It's bug in kdebase

Comment 2 Ben Levenson 2004-06-21 16:01:24 UTC
Works in RHEL3: kdebase-3.1.3-5.2. 
CLOSING -> CURRENTRELEASE 


Note You need to log in before you can comment on or make changes to this bug.